#!/bin/bash
#jstatd -p 1099 -J-Djava.security.policy=/home/randrade/pitufo/jstatd.all.policy -J-Djava.rmi.server.logCalls=true &
mkdir -p results/mmao_alternatives_s/
PREFLAGS="-XX:+UseParallelGC -Xshare:off -Xmx13G  -Djava.library.path=/home/randrade/ilog/cplex/cplex/bin/x86-64_sles10_4.1/"
FLAGS="-nbThreads=6 -nopreprocess -udpo -epsilon1=0.5 -bigM=1000 -fbaCheck"
INPUTDIR=inputs/experiment2
INPUTFILE=input_paper_mmao_alternative_s.xml

echo "CFT073"
/usr/bin/time java $PREFLAGS -jar Sasita.jar -s=Ecoli_CFT073_ic_1306_TARGET_IN_BIOMASS.xml -i=$INPUTDIR/CFT/$INPUTFILE $FLAGS 2>&1

echo "EDL993"
/usr/bin/time java $PREFLAGS -jar Sasita.jar -s=Ecoli_EDL993_iZ_1308_TARGET_IN_BIOMASS.xml -i=$INPUTDIR/EDL_MG_Sakai/$INPUTFILE $FLAGS 2>&1
 
echo "MG1665"
/usr/bin/time java $PREFLAGS -jar Sasita.jar -s=Ecoli_MG1665_iJO1366_TARGET_IN_BIOMASS.xml -i=$INPUTDIR/EDL_MG_Sakai/$INPUTFILE $FLAGS 2>&1
 
echo "Sakai"
/usr/bin/time java $PREFLAGS -jar Sasita.jar -s=Ecoli_Sakai_ECs_1301_TARGET_IN_BIOMASS.xml -i=$INPUTDIR/EDL_MG_Sakai/$INPUTFILE $FLAGS 2>&1

# Copy the results to the right place
mv *output_PS.xml results/mmao_alternatives_s/

